KABC::LdapClient Class Reference

`#include <ldapclient.h>`

Inherits QObject.

## Public Slots

void | setHost (const QString &host)
QString | host () const
void | setPort (const QString &port)
QString | port () const
void | setBase (const QString &base)
QString | base () const
void | setBindDN (const QString &bindDN)
QString | bindDN () const
void | setPwdBindDN (const QString &pwdBindDN)
QString | pwdBindDN () const
void | setAttrs (const QStringList &attrs)
QStringList | attrs () const
void | setScope (const QString scope)
void | startQuery (const QString &filter)
void | cancelQuery ()

## Signals

void | done ()
void | error (const QString &)
void | result (const KABC::LdapObject &)

## Public Member Functions

| LdapClient (QObject *parent=0, const char *name=0)
bool | isActive () const

## Protected Slots

void | slotData (KIO::Job *, const QByteArray &data)
void | slotInfoMessage (KIO::Job *, const QString &info)
void | slotDone ()

## Protected Member Functions

void | startParseLDIF ()
void | parseLDIF (const QByteArray &data)
void | endParseLDIF ()

## Protected Attributes

QString | mHost
QString | mPort
QString | mBase
QString | mScope
QStringList | mAttrs
QGuardedPtr< KIO::SimpleJob > | mJob
bool | mActive
LdapObject | mCurrentObject
QCString | mBuf
QCString | mLastAttrName
QCString | mLastAttrValue
bool | mIsBase64

## Detailed Description

This class is internal.

Binary compatibiliy might be broken any time without notification. Do not use it.

We mean it!

Definition at line 85 of file ldapclient.h.

## Member Function Documentation

void LdapClient::cancelQuery | ( |  | ) |

slot

Abort a running query

Definition at line 149 of file ldapclient.cpp.

void KABC::LdapClient::done | ( |  | ) |

signal

Emitted when the query is done

void KABC::LdapClient::error | ( | const QString & |  | ) |

signal

Emitted in case of error

bool KABC::LdapClient::isActive | ( |  | ) | const

inline

returns true if there is a query running

Definition at line 94 of file ldapclient.h.

void KABC::LdapClient::result | ( | const KABC::LdapObject & |  | ) |

signal

Emitted once for each object returned from the query

void LdapClient::setAttrs | ( | const QStringList & | attrs | ) |

slot

Set the attributes that should be returned, or an empty list if all attributes are wanted

Definition at line 116 of file ldapclient.cpp.

void LdapClient::setBase | ( | const QString & | base | ) |

slot

Set the base DN

Definition at line 101 of file ldapclient.cpp.

void LdapClient::setBindDN | ( | const QString & | bindDN | ) |

slot

Set the bind DN

Definition at line 106 of file ldapclient.cpp.

void LdapClient::setHost | ( | const QString & | host | ) |

slot

Set the name or IP of the LDAP server

Definition at line 91 of file ldapclient.cpp.

void LdapClient::setPort | ( | const QString & | port | ) |

slot

Set the port of the LDAP server if using a nonstandard port

Definition at line 96 of file ldapclient.cpp.

void LdapClient::setPwdBindDN | ( | const QString & | pwdBindDN | ) |

slot

Set the bind password DN

Definition at line 111 of file ldapclient.cpp.

void LdapClient::startQuery | ( | const QString & | filter | ) |

slot

Start the query with filter filter

Definition at line 121 of file ldapclient.cpp.

The documentation for this class was generated from the following files:

- ldapclient.h
- ldapclient.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys